/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");
* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
  scroll-padding-top: 2rem;
  box-sizing: border-box;
}






/* Variables */
:root {
  --container-color: #1a1e21;
  --second-color: #44fdbf;
  --text-color: #172317;
  --bg-color: #fff;
  --gradient-text: linear-gradient(89.97deg, #AE67FA 1.84%, #F49867 102.67%);
  --color-bg: #040C18;
  --color-footer : #031B34;
  --color-blog: #042c54;
  --color-text: #81AFDD;
  --color-subtext: #FF8A71;
}
::selection {
  color: var(--bg-color);
  background: var(--second-color);
}
a {
  text-decoration: none;
  color: #fff;
}

a:hover {
  color: #44fdbf;
}

li {
  list-style: none;
}
img {
  width: 100%;
}
section {
  padding: 3rem 0 2rem;
}
.container {
  max-width: 1068px;
  margin: auto;
  width: 100%;
}
body{
  background: var(--color-bg);
}

/* Header--------------------------------------------------------------------- */
header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 200;
background: #040C18;
}

header.shadow {
  background: var(--bg-color);
  box-shadow: 0 1px 4px hsl(0 4% 14% / 10%);
  transition: 0.4s;
}

header.shadow .logo {
  color: var(--text-color);
}


.nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1px 0;
}



.logo {
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--bg-color);
}

.logo span {
  color: var(--second-color);
}


/* Home --------------------------------*/
.home {
  width: 100%;
  min-height: 30vh;
  background: var(--color-bg);
  display: grid;
  justify-content: center;
  align-items: center;
  margin-top: 50px;
}


.home-text {
  color: var(--bg-color);
  text-align: center;
}

.home-title {
  font-size: 3.5rem;
  color:var(--bg-color);
}


.home-subtitle {
  font-size: 1rem;
  font-weight: 400;
  color:#44fdbf;
}
/* Post Filter --------------------------------------------------*/
.post-filter {
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 1.5rem;
  margin-top: 2rem !important;
  color: #fff;
}
.filter-item {
  font-size: 0.9rem;
  font-weight: 500;
  cursor: pointer;
}
.active-filter {
  background: var(--second-color);
  color: var(--bg-color);
  padding: 4px 10px;
  border-radius: 4px;
}
/* Posts---------------------- */
.post {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, auto));
  justify-content: center;
  gap: 1.5rem;
}
.post-box {
  background: var(--bg-color);
  box-shadow: 0 4px 14px hsl(355deg 25% 15% / 10%);
  padding: 15px;
  border-radius: 0.5rem;
}
.post-img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  object-position: center;
  border-radius: 0.5rem;
}
.category {
  font-size: 0.9rem;
  font-weight: 500;
  text-transform: uppercase;
  color: var(--color-subtext);
}
.post-title {
  font-size: 1.3rem;
  font-weight: 600;
  color: var(--text-color);
 
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
.post-date {
  display: flex;
  font-size: 0.875rem;
  text-transform: uppercase;
  font-weight: 400;
  margin-top: 4px;
}
.post-decription {
  font-size: 0.9rem;
  line-height: 1.5rem;
  margin: 5px 0 10px;
 
  
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
.profile {
  display: flex;
  align-items: center;
  gap: 10px;
}
.profile-img {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  object-fit: cover;
  object-position: center;
  border: 2px solid var(--second-color);
}
.profile-name {
  font-size: 0.82rem;
  font-weight: 500;
}


/*About----------------------------------------*/
.about{
  display: flex;
  flex-direction: row;
  padding: 20px;
}

.about-image{
  flex: 1;
  display: flex;
  justify-content: flex-start;
  align-items: center;

  margin-right: 2rem;
}

.about-image img{
  width: 100%;
  height: 100%;
}

.about-content{
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-start;
}

.about-content h4{
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  line-height: 30px;
  color: #71E5FF;
}


.about-content h1{
  font-family: var(--font-family);
  font-weight: 800;
  font-size: 34px;
  line-height: 45px;
  
  margin: 1rem 0;
}
.about-content p{
  font-family: var(--font-family);
  font-size: 16px;
  line-height: 30px;
  color: var(--color-text);

  margin-bottom: 2rem;
}

/*contact----------------------------------------*/

.contact-container{
  width: 100%;
  font-size: 14px;
  font-family: var(--font-family);
  background: var(--gradient-bar);
}

.contact-container h3{
  margin-bottom: 10px;
  font-size: 40px;
}

.contact-left h3{
  font-family: var(--font-family);
  font-weight: 800;
  font-size: 24px;
  line-height: 30px;
  color: white;
}
.contact-container p{
  margin-bottom: 40px;
  font-weight: 600;
}

.contact-box{
  background: #fefdfd;
  display: flex;
}

/*------ CONTACT--LEFT-------------------------------------*/
.contact-left{
  flex-basis: 100%;
  padding: 40px 50px;
  background: var(--color-bg);
  
}
.about h1,
.contact-left h2{
  color: #bbb9b9;
}


.input-row{
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

.input-row .input-group{
 flex-basis: 45%;
}

.contact input, select{
width: 100%;
border: 1px solid #ffffff;
background-color:var(--color-footer);
color: #ffffff;
padding: 10px;
}

.contact textarea{
width:100% ;
border: 1px solid #eee9e9;
background-color: var(--color-footer);
color: #eee9e9;
padding: 10px;
margin-bottom: 15px;
}

.contact label{
  display: block;
  margin-bottom: 10px;
  color: #fff;
  font-weight: 550;
}

.contact button{
  background:#1c1c1c;
  color: #bbb9b9;
  border: 1px solid #bbb9b9;
  margin-top: 10px;
}

.contact .contact-left span{
  color: #fff;
  padding: 10px;
}

.contact button{
  background: #000000;
  border-radius: 40px;
  color: #fff;
  font-family: var(--font-family);
  font-style: normal;
  font-weight: bold;
  font-size: 18px;
  line-height: 30px;
  padding: 0.5rem 1rem;

  border: none;
  outline: none;
  cursor: pointer;
  min-width: 150px;
}






/*FOOTER------------------------------------------------------------*/
.footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 30px 0;
}
.footer p {
  font-size: 0.938rem;
  color: #fff;
}
.social,
.social a{
  display: flex;
  align-items: center;
  column-gap: 1rem;
}
.social .bx {
  font-size: 1.4rem;
  color: var(--bg-color);
}
.social .bx:hover {
  color: var(--second-color);
  transition: 0.3s all linear;
}


/* Post Content --------------------------------*/
.post h2{
  font-size: 1rem;
  color: var(--color-subtext);
}
.post-header {
  width: 100%;
  height: 500px;
  background: var(--color-bg);
  margin-top: 100px;
}

.post-container {
  max-width: 800px;
  margin: auto;
  width: 100%;
}


.header-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 4rem !important;
}

.back-home {
  color: var(--color-subtext);
  font-size: 0.9rem;
}


.header-title {
  width: 90%;
  font-size: 2.6rem;
  color: var(--bg-color);
  text-align: center;
  margin-bottom: 1rem;
}


.header-img {
  width: 100%;
  height: 420px;
  object-fit: cover;
  object-position: center;
}


.post-content {
  margin-top: 10rem !important;
}


.sub-heading {
  font-size: 1.2rem;
  color: #44fdbf;
}


.post-text {
  font-size: 1rem;
  line-height: 1.7rem;
  margin: 1rem 0;
  text-align: justify;
  color: var(--bg-color);
  padding: 10px;
}









/* Responsive -------------------------------------------------*/
@media (max-width: 1060px) {
  .container {
    margin: 0px auto;
    width: 100%;
  }
  .home-text {
    width: 100%;
  }

.nav{
  justify-content: space-around;
}

.social{
  margin-left: 30px;
}
  .post-filter{
    display: block;
    text-align: center;
    justify-content: center;
    flex-direction: row;
  }


  .filter-item{
    padding: 10px;
  }

  .post-filter{
    padding: 10px;
  }
  
  .post{
    padding: 20px;
  }

  .active-filter{
    padding: 3px;
  }

  .home span{
      padding: 20px;
  }


}


@media (max-width: 800px) {
  .nav {
    padding: 14px 0;
  }
  .post-container {
    margin: 0 auto;
    width: 95%;
  }

  .about{
    flex-direction: column;
}
   
 .about-image{
        margin: 1rem 0;
    }

 .about-content{
        margin: 2rem;
    }

}



@media (max-width: 768px) {
  .nav {
    padding: 10px 0;
  }

  section {
    padding: 2rem 0;
  }


  .header-content {
    margin-top: 3rem !important;
  }


  .home {
    min-height: 380px;
  }


  .home-title {
    font-size: 3rem;
  }


  .header-title {
    font-size: 2rem;
  }


  .header-img {
    height: 370px;
  }

  .post-header {
    height: 435px;
  }

  .post-content {
    margin-top: 9rem !important;
  }

  .about-image img {
    width: 100%;
    height: 100%;
}

.about{
    display: block;
}
}


@media (max-width: 570px) {
  .post-header {
    height: 390px;
  }
  .header-title {
    width: 100%;
  }
  .header-img {
    height: 340px;
  }
  .footer {
    flex-direction: column;
    row-gap: 1rem;
    padding: 20px 0;
    text-align: center;
  }
}


@media (max-width: 396px) {
  .home-title {
    font-size: 2rem;
  }
  .home-subtitle {
    font-size: 0.9rem;
  }
  .home {
    min-height: 300px;
  }
  .post-box {
    padding: 10px;
  }
  .header-title {
    font-size: 1.4rem;
  }
  .header-img {
    height: 240px;
  }
  .post-header {
    height: 335px;
  }
  .post-content {
    margin-top: 5rem !important;
  }
  .post-text {
    font-size: 0.875rem;
    line-height: 1.5rem;
    margin: 10px 0;
  }
}
